Source: golang-github-d4l3k-messagediff
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Aloïs Micard <creekorful@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-golang-x-net-dev
Standards-Version: 4.6.0
Homepage: https://github.com/d4l3k/messagediff
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-d4l3k-messagediff
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-d4l3k-messagediff.git
XS-Go-Import-Path: github.com/d4l3k/messagediff
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: golang-github-d4l3k-messagediff-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-golang-x-net-dev, ${misc:Depends}
Description: library for doing diffs of arbitrary Golang structs
 messagediff is a library for doing diffs of arbitrary Golang structs. If the
 unsafe package is available messagediff will diff unexported fields in
 addition to exported fields. This is primarily used for testing purposes as
 it allows for providing informative error messages.
